Page MenuHomePhabricator

MediaWiki's title search widget sorts redirects in the incorrect order
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Go to an article on the English Wikipedia
  2. Open link inspector
  3. Search for "Main page"

Expected:

  • "Main Page" is first result

Actual:

  • "Home page" is the first result

The reason I say that I expect "Main Page" to be the first result is that if I inspect the API query that VisualEditor is using, it shows "Main Page" is the first result in the redirect set at the start. I assume VisualEditor is not handling these redirects correctly; search for "Main Page" (including the quotes) in the response to see what I mean.

Details

Related Gerrit Patches:

Event Timeline

Deskana created this task.Apr 29 2016, 10:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 29 2016, 10:46 PM

Change 286280 had a related patch set uploaded (by Esanders):
Give redirects a sort index in title widget

https://gerrit.wikimedia.org/r/286280

Esanders set the point value for this task to 1.
Esanders added a subscriber: Esanders.

After fix:

matmarex edited projects, added MediaWiki-General; removed OOUI.Apr 30 2016, 7:34 PM
Jdforrester-WMF renamed this task from VisualEditor link inspector sorts results in incorrect order to MediaWiki's title search widget sorts redirects in the incorrect order.May 2 2016, 3:21 PM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF triaged this task as High priority.
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptMay 2 2016, 3:21 PM

Change 286280 merged by jenkins-bot:
Give redirects a sort index in title widget

https://gerrit.wikimedia.org/r/286280